FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202102031949.p0 BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202102031949.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=8e81a68 OS_GIT_VERSION=4.6.0-202102031949.p0-8e81a68 SOURCE_DATE_EPOCH=1611273322 SOURCE_GIT_COMMIT=8e81a68d7dccf65293328e3d775c1f9c879f167b SOURCE_GIT_TAG=v0.0.0-297-g8e81a68d SOURCE_GIT_URL=https://github.com/openshift/cluster-autoscaler-operator 
WORKDIR /go/src/github.com/openshift/cluster-autoscaler-operator
COPY . .
ENV NO_DOCKER=1
ENV BUILD_DEST=/go/bin/cluster-autoscaler-operator
RUN unset VERSION && make build

FROM openshift/ose-base:v4.6.0.20210203.201804
ENV __doozer=update BUILD_RELEASE=202102031949.p0 BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202102031949.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=8e81a68 OS_GIT_VERSION=4.6.0-202102031949.p0-8e81a68 SOURCE_DATE_EPOCH=1611273322 SOURCE_GIT_COMMIT=8e81a68d7dccf65293328e3d775c1f9c879f167b SOURCE_GIT_TAG=v0.0.0-297-g8e81a68d SOURCE_GIT_URL=https://github.com/openshift/cluster-autoscaler-operator 
COPY --from=builder /go/bin/cluster-autoscaler-operator /usr/bin/
COPY --from=builder /go/src/github.com/openshift/cluster-autoscaler-operator/install /manifests
CMD ["/usr/bin/cluster-autoscaler-operator"]

LABEL \
        io.openshift.release.operator="true" \
        name="openshift/ose-cluster-autoscaler-operator" \
        com.redhat.component="ose-cluster-autoscaler-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Cloud Compute" \
        io.openshift.maintainer.subcomponent="Other Providers" \
        release="202102031949.p0" \
        io.openshift.build.commit.id="8e81a68d7dccf65293328e3d775c1f9c879f167b" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-autoscaler-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-autoscaler-operator/commit/8e81a68d7dccf65293328e3d775c1f9c879f167b" \
        version="v4.6.0"

